Last Comment Bug 892678 - Port bug 763181 to TB | 23.0b1 fails to package if configured --with-system-nspr/--with-system-nss/--with-system-sqlite
: Port bug 763181 to TB | 23.0b1 fails to package if configured --with-system-n...
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: 23
: x86_64 OpenBSD
: -- normal (vote)
: Thunderbird 25.0
Assigned To: Landry Breuil (:gaston)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 13:48 PDT by Landry Breuil (:gaston)
Modified: 2013-08-05 08:16 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
wontfix
fixed
fixed


Attachments
Fix c-c packaging with system nss/nspr/sqlite (2.84 KB, patch)
2013-07-12 10:53 PDT, Landry Breuil (:gaston)
standard8: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta-
Details | Diff | Splinter Review

Description Landry Breuil (:gaston) 2013-07-11 13:48:30 PDT
Error: /home/obj/thunderbird-23.0beta1/build-i386/mail/installer/package-manifest:32: Missing file(s): bin/libnspr4.so.27.0
Error: /home/obj/thunderbird-23.0beta1/build-i386/mail/installer/package-manifest:33: Missing file(s): bin/libplc4.so.27.0
Error: /home/obj/thunderbird-23.0beta1/build-i386/mail/installer/package-manifest:34: Missing file(s): bin/libplds4.so.27.0
Error: /home/obj/thunderbird-23.0beta1/build-i386/mail/installer/package-manifest:56: Missing file(s): bin/libmozsqlite3.so.27.0
Error: /home/obj/thunderbird-23.0beta1/build-i386/mail/installer/package-manifest:510: Missing file(s): bin/libfreebl3.so.27.0
Error: /home/obj/thunderbird-23.0beta1/build-i386/mail/installer/package-manifest:511: Missing file(s): bin/libnss3.so.27.0
Error: /home/obj/thunderbird-23.0beta1/build-i386/mail/installer/package-manifest:512: Missing file(s): bin/libnssckbi.so.27.0
Error: /home/obj/thunderbird-23.0beta1/build-i386/mail/installer/package-manifest:513: Missing file(s): bin/libnssdbm3.so.27.0
Error: /home/obj/thunderbird-23.0beta1/build-i386/mail/installer/package-manifest:514: Missing file(s): bin/libnssutil3.so.27.0
Error: /home/obj/thunderbird-23.0beta1/build-i386/mail/installer/package-manifest:515: Missing file(s): bin/libsmime3.so.27.0
Error: /home/obj/thunderbird-23.0beta1/build-i386/mail/installer/package-manifest:516: Missing file(s): bin/libsoftokn3.so.27.0
Error: /home/obj/thunderbird-23.0beta1/build-i386/mail/installer/package-manifest:517: Missing file(s): bin/libssl3.so.27.0

Only some #ifdef MOZ_NATIVE_NSS/MOZ_NATIVE_NSPR/MOZ_NATIVE_SQLITE missing from package-manifest.in. Testing a patch here, seems to affect tb on all branches..
Comment 1 Landry Breuil (:gaston) 2013-07-12 10:53:01 PDT
Created attachment 774777 [details] [diff] [review]
Fix c-c packaging with system nss/nspr/sqlite

Fixes packaging for 23.0b1 (using system nss/nspr/sqlite) and c-c tip (using system nspr/sqlite, m-c doesnt build against a released nss since a tls commit)
Comment 2 Landry Breuil (:gaston) 2013-07-24 01:42:08 PDT
Comment on attachment 774777 [details] [diff] [review]
Fix c-c packaging with system nss/nspr/sqlite

[Approval Request Comment]
Bug caused by (feature/regressing bug #): packager more strict ?
User impact if declined: failure to package if built w/ system nss|nspr|sqlite
Testing completed (on m-c, etc.): not yet on c-c
Risk to taking this patch (and alternatives if risky): none
Comment 3 Lukas Blakk [:lsblakk] use ?needinfo 2013-07-26 14:33:57 PDT
Comment on attachment 774777 [details] [diff] [review]
Fix c-c packaging with system nss/nspr/sqlite

I think this is meant for c-c approvals
Comment 4 Landry Breuil (:gaston) 2013-07-26 23:54:26 PDT
Oops yeah, my bad.
Comment 5 Justin Wood (:Callek) 2013-07-29 19:50:26 PDT
This is going to mis TB 23 train (but there will be no TB 23) and since its only a thunderbird patch and not a suite patch, I'm not going to triage for SeaMonkey.
Comment 6 Mark Banner (:standard8) 2013-08-05 02:01:35 PDT
https://hg.mozilla.org/comm-central/rev/15ad50bcc38d
Comment 7 Mark Banner (:standard8) 2013-08-05 08:15:11 PDT
Comment on attachment 774777 [details] [diff] [review]
Fix c-c packaging with system nss/nspr/sqlite

a=me for Aurora, this will get onto beta after the merge today.
Comment 8 Mark Banner (:standard8) 2013-08-05 08:16:56 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/3c2a49efa00c

Note You need to log in before you can comment on or make changes to this bug.